From: lhh@sourceware.org <lhh@sourceware.org>
To: cluster-devel.redhat.com
Subject: [Cluster-devel] cluster/rgmanager/src/resources clusterfs.sh
Date: 16 Oct 2006 14:39:03 -0000 [thread overview]
Message-ID: <20061016143903.21364.qmail@sourceware.org> (raw)
CVSROOT: /cvs/cluster
Module name: cluster
Changes by: lhh at sourceware.org 2006-10-16 14:39:02
Modified files:
rgmanager/src/resources: clusterfs.sh
Log message:
Fix #209544 - umount failing on gfs/nfs services
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/clusterfs.sh.diff?cvsroot=cluster&r1=1.11&r2=1.12
--- cluster/rgmanager/src/resources/clusterfs.sh 2006/08/18 15:26:22 1.11
+++ cluster/rgmanager/src/resources/clusterfs.sh 2006/10/16 14:39:02 1.12
@@ -802,6 +802,7 @@
[ "$OCF_RESKEY_nfslock" = "1" ]; then
ocf_log warning "Dropping node-wide NFS locks"
mkdir -p $mp/.clumanager/statd
+ pkill -KILL -x lockd
# Copy out the notify list; our
# IPs are already torn down
if notify_list_store $mp/.clumanager/statd; then
@@ -889,16 +890,12 @@
;;
status|monitor)
isMounted ${OCF_RESKEY_device} ${OCF_RESKEY_mountpoint}
- if [ $? -ne $YES ]; then
- ocf_log err "fs:${OCF_RESKEY_name}: ${OCF_RESKEY_device} is not mounted on ${OCF_RESKEY_mountpoint}"
- exit $OCF_ERR_GENERIC
- fi
+ [ $? -ne $YES ] && exit $OCF_ERR_GENERIC
isAlive ${OCF_RESKEY_mountpoint}
- [ $? -eq $YES ] && exit 0
-
- ocf_log err "fs:${OCF_RESKEY_name}: Mount point is not accessible!"
- exit $OCF_ERR_GENERIC
+ [ $? -ne $YES ] && exit $OCF_ERR_GENERIC
+
+ exit 0
;;
restart)
stopFilesystem
next reply other threads:[~2006-10-16 14:39 UTC|newest]
Thread overview: 11+ messages / expand[flat|nested] mbox.gz Atom feed top
2006-10-16 14:39 lhh [this message]
-- strict thread matches above, loose matches on Subject: below --
2007-12-19 20:54 [Cluster-devel] cluster/rgmanager/src/resources clusterfs.sh lhh
2007-12-19 20:53 lhh
2007-12-05 17:42 lhh
2007-12-05 17:42 lhh
2007-11-13 17:38 lhh
2006-11-27 22:12 lhh
2006-10-25 15:38 lhh
2006-10-20 20:58 lhh
2006-10-20 20:36 lhh
2006-10-06 15:43 lhh
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20061016143903.21364.qmail@sourceware.org \
--to=lhh@sourceware.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.